<?php

/* $Id: DefineCartClass.php 7243 2015-03-30 21:12:13Z vvs2012 $*/

/* Definition of the cart class
this class can hold all the information for:

i)   a sales order
ii)  an invoice
iii) a credit note

*/


Class Cart {

	var $LineItems; /*array of objects of class LineDetails using the product id as the pointer */
	var $total;
	
	function __construct(){
	/*Constructor function initialises a new shopping cart */
		$this->LineItems = array();
		$this->total=0;
		$this->ItemsOrdered=0;
		$this->LineCounter=0;
		
	}
function cart() {
		self::__construct();
	}

	function add_to_cart($StockID,
							$Qty,
							$Descr,
							
							$Price,
				
							$UOM,
					        
							
							
							$QtyInvoiced=0,
						    $UpdateDB='No',
							$LineNumber=-1,
						
							$identifier=0){

		if (isset($StockID) AND $StockID!="" AND $Qty>0 AND isset($Qty)){

			if ($Price<0){ /*madness check - use a credit note to give money away!*/
				$Price=0;
			}

			if ($LineNumber==-1){
				$LineNumber = $this->LineCounter;
			}

			$this->LineItems[$LineNumber] = new LineDetails($LineNumber,
															$StockID,
															$Descr,
														
															$Qty,
															
															$Price,
															$Taxlabel,
														
															$UOM,
														  
															$QtyInvoiced
															);
			$this->ItemsOrdered++;
if ($UpdateDB=='Yes'){
				/*ExistingOrder !=0 set means that an order is selected or created for entry
				of items - ExistingOrder is set to 0 in scripts that should not allow
				adding items to the order - New orders have line items added at the time of
				committing the order to the DB in DeliveryDetails.php
				 GET['ModifyOrderNumber'] is only set when the items are first
				being retrieved from the DB - dont want to add them again - would return
				errors anyway */

				$sql = "INSERT INTO salesorderdetails (orderlineno,
														orderno,
														stkcode,
														quantity,
														unitprice,
														)
													VALUES(" . $LineNumber . ",
														" . $_SESSION['ExistingOrder' . $identifier] . ",
														'" . trim(mb_strtoupper($StockID)) ."',
														" . $Qty . ",
														" . $Price . ",
														" . $Taxlabel . ",
														
														" . FormatDateForSQL($ItemDue) . "',
														" . $POLine . ")";
				$result = DB_query($sql,
							_('The order line for') . ' ' . mb_strtoupper($StockID) . ' ' ._('could not be inserted'));
			}

			$this->LineCounter = $LineNumber + 1;
			Return 1;
		}
		Return 0;
	}


	function update_cart_item( $UpdateLineNumber,
								$Qty,
								$Price,
							    $Taxlabel,
							    $UpdateDB='No',
								$identifier){

		if ($Qty>0){
			$this->LineItems[$UpdateLineNumber]->Quantity = $Qty;
		}
		$this->LineItems[$UpdateLineNumber]->Price = $Price;
		if ($UpdateDB=='Yes'){
			global $db;
			$result = DB_query("UPDATE salesorderdetails SET quantity=" . $Qty . ",
															unitprice=" . $Price . "
								WHERE orderno=" . $_SESSION['ExistingOrder'.$identifier] . "
								AND orderlineno=" . $UpdateLineNumber,
								 _('The order line number') . ' ' . $UpdateLineNumber .  ' ' . _('could not be updated'));
		}
	}

	function remove_from_cart($LineNumber, $UpdateDB='No', $identifier=0){

		if (!isset($LineNumber) OR $LineNumber=='' OR $LineNumber < 0){ /* over check it */
			prnMsg(_('No Line Number passed to remove_from_cart, so nothing has been removed.'), 'error');
			return;
		}
if ($UpdateDB=='Yes'){
			if ($this->Some_Already_Delivered($LineNumber)==0){
				/* nothing has been delivered, delete it. */
				$result = DB_query("DELETE FROM salesorderdetails
									WHERE orderno='" . $_SESSION['ExistingOrder' . $identifier] . "'
									AND orderlineno='" . $LineNumber . "'",
									_('The order line could not be deleted because')
									);
				prnMsg( _('Deleted Line Number'). ' ' . $LineNumber . ' ' . _('from existing Order Number').' ' . $_SESSION['ExistingOrder' . $identifier], 'success');
			} else {
				/* something has been delivered. Clear the remaining Qty and Mark Completed */
				$result = DB_query("UPDATE salesorderdetails SET quantity=qtyinvoiced,
																completed=1
									WHERE orderno='" . $_SESSION['ExistingOrder' . $identifier] ."'
									AND orderlineno='" . $LineNumber . "'" ,
								   _('The order line could not be updated as completed because')
								   );
				prnMsg(_('Removed Remaining Quantity and set Line Number '). ' ' . $LineNumber . ' ' . _('as Completed for existing Order Number').' ' . $_SESSION['ExistingOrder'], 'success');
			}
		}
		/* Since we need to check the LineItem above and might affect the DB, don't unset until after DB is updates occur */
		$this->CreditAvailable +=  ($this->LineItems[$LineNumber]->Quantity*$this->LineItems[$LineNumber]->Price);
		unset($this->LineItems[$LineNumber]);
		$this->ItemsOrdered--;

	}//remove_from_cart()

	function Get_StockID_List(){
		/* Makes a comma seperated list of the stock items ordered
		for use in SQL expressions */

		$StockID_List='';
		foreach ($this->LineItems as $StockItem) {
			$StockID_List .= ",'" . $StockItem->StockID . "'";
		}

		return mb_substr($StockID_List, 1);

	}

	function Any_Already_Delivered(){
		/* Checks if there have been deliveries of line items */

		foreach ($this->LineItems as $StockItem) {
			if ($StockItem->QtyInv !=0){
				return 1;
			}
		}

		return 0;

	}

	function Some_Already_Delivered($LineNumber){
		/* Checks if there have been deliveries of a specific line item */

		if ($this->LineItems[$LineNumber]->QtyInv !=0){
			return $this->LineItems[$LineNumber]->QtyInv;
		}
		return 0;
	}

	function AllDummyLineItems(){
		foreach ($this->LineItems as $StockItem) {
			if($StockItem->MBflag !='D'){
				return false;
			}
		}
		return true;
	}



} /* end of cart class defintion */

Class LineDetails {
	Var $LineNumber;
	Var $StockID;
	Var $ItemDescription;
	
	Var $Quantity;
	Var $Price;
	Var $Taxlabel;
	
	Var $Units;
   
	Var $QtyInv;
	Var $QtyDispatched;
	

function __construct ($LineNumber,
							$StockItem,
							$Descr,
							
							$Qty,
							$Prc,
							
							$UOM,
							
							$QtyInvoiced
							 ){


/* Constructor function to add a new LineDetail object with passed params */
		$this->LineNumber = $LineNumber;
		$this->StockID =$StockItem;
		$this->ItemDescription = $Descr;
	
		$this->Quantity = $Qty;
		$this->Price = $Prc;
	    
		$this->TaxLabel = $TaxLabel;
		$this->Units = $UOM;
	
		$this->QtyInv = $QtyInvoiced;
		
			if ($_SESSION['InvoiceQuantityDefault']==1){
				$this->QtyDispatched = $Qty - $QtyInvoiced;
			} else {
				$this->QtyDispathced = 0;
			}
		
	

		
	} //end constructor function for LineDetails

	
	function LineDetails($LineNumber,
							$StockItem,
							$Descr,
							
							$Qty,
							$Prc,
						    $Taxlabel,
						     
							$UOM,
							
							$QtyInvoiced
						 ) {
		self::__construct($LineNumber,
							$StockItem,
							$Descr,
							
							$Qty,
							$Prc,
							$Taxlabel,
							$UOM,
							
							$QtyInvoiced);
	}
	
	
}


?>
